POST api/Recalls

Creates a new recall or updates an existent recall's information.

Request Information

URI Parameters

None.

Body Parameters

Model used to retrieve or set information about a recall.

RecallModel
NameDescriptionTypeAdditional information
Date

Date and time of the recall(Required).

date

None.

Active

Recall is active or not. If the recall is inactive, then it doesn't create communications.

boolean

None.

LocationExternalId

Location's unique ID on integrating system (Required).

string

None.

DoctorExternalId

Doctor's unique ID on integrating system (Required).

string

None.

PatientExternalId

Patient's unique ID on integrating system (Required).

string

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "date": "2026-05-29T16:56:59.5546001+00:00",
  "active": true,
  "locationExternalId": "sample string 3",
  "doctorExternalId": "sample string 4",
  "patientExternalId": "sample string 5",
  "id": "8cdb6802-1d6d-46f4-a041-225549bf49e7",
  "externalId": "sample string 7"
}

application/xml, text/xml

Sample:
<RecallModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Recalls">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 7</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">8cdb6802-1d6d-46f4-a041-225549bf49e7</Id>
  <Active>true</Active>
  <Date>2026-05-29T16:56:59.5546001+00:00</Date>
  <DoctorExternalId>sample string 4</DoctorExternalId>
  <LocationExternalId>sample string 3</LocationExternalId>
  <PatientExternalId>sample string 5</PatientExternalId>
</RecallModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'RecallModel'.

Response Information

Resource Description

RecallModel
NameDescriptionTypeAdditional information
Date

Date and time of the recall(Required).

date

None.

Active

Recall is active or not. If the recall is inactive, then it doesn't create communications.

boolean

None.

LocationExternalId

Location's unique ID on integrating system (Required).

string

None.

DoctorExternalId

Doctor's unique ID on integrating system (Required).

string

None.

PatientExternalId

Patient's unique ID on integrating system (Required).

string

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "date": "2026-05-29T16:56:59.556819+00:00",
  "active": true,
  "locationExternalId": "sample string 3",
  "doctorExternalId": "sample string 4",
  "patientExternalId": "sample string 5",
  "id": "d7f07f51-37ff-463e-9498-a8fc8ac963ac",
  "externalId": "sample string 7"
}

application/xml, text/xml

Sample:
<RecallModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Recalls">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 7</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">d7f07f51-37ff-463e-9498-a8fc8ac963ac</Id>
  <Active>true</Active>
  <Date>2026-05-29T16:56:59.556819+00:00</Date>
  <DoctorExternalId>sample string 4</DoctorExternalId>
  <LocationExternalId>sample string 3</LocationExternalId>
  <PatientExternalId>sample string 5</PatientExternalId>
</RecallModel>